import request from '@/utils/request'

// 查询支部特色活动列表
export function listActivity(query) {
  return request({
    url: '/branch/activity/list',
    method: 'get',
    params: query
  })
}

// 查询支部特色活动详细
export function getActivity(activityId) {
  return request({
    url: '/branch/activity/' + activityId,
    method: 'get'
  })
}

// 新增支部特色活动
export function addActivity(data) {
  return request({
    url: '/branch/activity',
    method: 'post',
    data: data
  })
}

// 修改支部特色活动
export function updateActivity(data) {
  return request({
    url: '/branch/activity',
    method: 'put',
    data: data
  })
}

// 删除支部特色活动
export function delActivity(activityId) {
  return request({
    url: '/branch/activity/' + activityId,
    method: 'delete'
  })
}
